Apache Tomcat 6.0.51

## org.apache.jasper.runtime
Class ExceptionUtils

    java.lang.Object
      org.apache.jasper.runtime.ExceptionUtils

    public class ExceptionUtils

extends java.lang.Object

Utilities for handling Throwables and Exceptions.

Constructor Summary
`ExceptionUtils()`

Method Summary
`static void` | `handleThrowable(java.lang.Throwable t)` Checks whether the supplied Throwable is one that needs to be rethrown and swallows all others.
`static java.lang.Throwable` | `unwrapInvocationTargetException(java.lang.Throwable t)` Checks whether the supplied Throwable is an instance of `InvocationTargetException` and returns the throwable that is wrapped by it, if there is any.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionUtils

    public ExceptionUtils()

Method Detail

### handleThrowable

    public static void handleThrowable(java.lang.Throwable t)

  Checks whether the supplied Throwable is one that needs to be rethrown and swallows all others.

  Parameters:
    `t` - the Throwable to check

### unwrapInvocationTargetException

    public static java.lang.Throwable unwrapInvocationTargetException(java.lang.Throwable t)

  Checks whether the supplied Throwable is an instance of `InvocationTargetException` and returns the throwable that is wrapped by it, if there is any.

  Parameters:
    `t` - the Throwable to check
  Returns:
    `t` or `t.getCause()`

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.